dvi2bitmap dvi2bitmap1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
DviFileSetChar Class Reference

An event which requests that a given character be set in place. More...

`#include <DviFile.h>`

Inheritance diagram for DviFileSetChar:

## Public Member Functions
| DviFileSetChar (int charno, DviFile *dptr)
| A request that a given character be set. More...
| DviFileSetChar (int opcode, int charno, DviFile *dptr)
| Constructs a set-character event. More...
void | debug () const
| Writes a representation of this event on cerr. More...
const int | charno () const
| Obtains the character which is to be set. More...
Public Member Functions inherited from DviFileEvent
eventTypes | type () const
| Gets the type of this event. More...
const unsigned char | opcode () const
| Gets the underlying opcode which produced this event. More...
void | release ()
| Release this event. More...

## Additional Inherited Members
Public Types inherited from DviFileEvent
enum | eventTypes { setchar, setrule, fontchange, special, page, preamble, postamble }
Static Public Member Functions inherited from DviFileEvent
static verbosities | verbosity (const verbosities level)
| Sets the verbosity for DviFileEvent and its subclasses. More...
Protected Member Functions inherited from DviFileEvent
| DviFileEvent (unsigned char opcode, eventTypes t, DviFile *dp=0)
| Creates a new event. More...
Static Protected Attributes inherited from DviFileEvent
static verbosities | verbosity_ = normal

## Detailed Description

An event which requests that a given character be set in place.

## Constructor & Destructor Documentation

DviFileSetChar::DviFileSetChar | ( | int | charno,
|  | DviFile * | dptr
| ) |  |

A request that a given character be set.

Constructs a set-character event.

Parameters

  charno | the character to be set
  dptr | the `DviFile` associated with this character
  charno | the character to be set
  dptr | pointer to the DVI file which contained this character

References charno(), normal, and DviFileEvent::verbosity_.

DviFileSetChar::DviFileSetChar | ( | int | opcode,
|  | int | charno,
|  | DviFile * | dptr
| ) |  |

Constructs a set-character event.

Parameters

  opcode | the opcode which prompted this event
  charno | the character to be set
  dptr | pointer to the DVI file which contained this character

References charno(), normal, and DviFileEvent::verbosity_.

## Member Function Documentation

const int DviFileSetChar::charno | ( | ) |  | const
| inline

Obtains the character which is to be set.

Returns
  the character as an integer

Referenced by DviFileSetChar(), and main().

void DviFileSetChar::debug | ( | ) |  | const
| virtual

Writes a representation of this event on cerr.

Reimplemented from DviFileEvent.

The documentation for this class was generated from the following files:

- DviFile.h
- DviFile.cc